# Модуль "Букинг"
## Инфа из ТЗ:
Арендодатели должны иметь возможность подтверждать бронь площадки,
формировать оферту, обновлять расписание своих площадок (свободных
и занятых дат) (желательно предусмотреть автоматическую интеграцию
с несколькими видами календарей и/или подгрузку из таблиц).

Арендаторы могут пользоваться возможностью онлайн-бронирования
площадок с соглашением с офертой. У пользователя-арендатора должна
быть возможность поиска свободных площадок по необходимым датам, а
также просмотр календаря определенной площадки.

Прим. после Q&A: Фактически процесс такой: арендатор через сервис
бронирует площадку, затем арендодатель связывается с арендатором
для оплаты, затем подтверждает бронь в сервисе.

## Основные тезисы:
1. Арендодатели должны иметь возможность подтверждать бронь площадки.
2. Арендодатели должны иметь возможность формировать оферту.
3. Арендодатели должны иметь возможность обновлять расписание своих площадок.
4. Желательно предусмотреть автоматическую интеграцию с несколькими видами календарей и/или подгрузку из таблиц.
5. Арендодатели должны иметь контакты арендаторов, и наоборот.
6. Арендаторы могут пользоваться возможностью онлайн-бронирования площадок с соглашением с офертой.
7. У пользователя-арендатора должна быть возможность поиска свободных площадок по необходимым датам.
8. У пользователя-арендатора должна быть возможность просмотра календаря определенной площадки.

## Что хочет получить пользователь:
**Арендодатель**:
- Контролировать расписание бронирования своих площадок
- Подтверждать брони
- Авто-формирование оферты (необяз)

**Арендатор**:
- Бронировать площадки
- Выбирать дату бронирования
- Искать свободные площадки по датам

## Что хочет видеть пользователь:
**Арендодатель**:
- Календарь, в который будет вносится расписание
- Список запрошенных броней с возможностью их подтверждения
- Список подтверждённых броней
- Все брони в календаре-расписании
- Контакты бронирующих
- Форму формирования оферты (необяз)

**Арендатор**:
- Поиск площадок по датам
- Список своих броней
- Контакты арендодателей, у которых он бронировал

## Примечания к UX:
Если делать оферту, нужно предусмотреть, что бронь нельзя сделать
без соглашения с офертой.

## Примерная модель данных модуля:
**Расписание**:
- ID
- ID площадки
- Дата
- Время начала работы (времени для бронирования)
- Время окончания работы (времени для бронирования)

> Например, если площадка доступна для бронирования 24 мая 2023 года
с 8 утра до 8 вечера, с перерывом с часу до двух, то будет две записи:

```
1. id, id_place, 24.05.2023, 08:00, 13:00
2. id, id_place, 24.05.2023, 14:00, 20:00
```

**Бронь**:
- ID
- ID площадки
- Дата
- Время начала
- Время окончания
- Подтверждена или нет

## Возможные особенности реализации
`¯\_(ツ)_/¯`